> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Order Shipment

> Admin: add a shipment tracking entry to an order + record it on the timeline.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json post /api/v1/admin/orders/{order_id}/shipments
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/orders/{order_id}/shipments:
    post:
      tags:
        - admin
      summary: Create Order Shipment
      description: >-
        Admin: add a shipment tracking entry to an order + record it on the
        timeline.
      operationId: create_order_shipment_api_v1_admin_orders__order_id__shipments_post
      parameters:
        - name: order_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Order Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrderShipmentCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_OrderShipmentOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    OrderShipmentCreate:
      properties:
        courier_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Courier Id
        tracking_number:
          type: string
          title: Tracking Number
      type: object
      required:
        - tracking_number
      title: OrderShipmentCreate
    ApiResponse_OrderShipmentOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/OrderShipmentOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[OrderShipmentOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OrderShipmentOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        order_id:
          type: string
          format: uuid
          title: Order Id
        courier_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Courier Id
        tracking_number:
          type: string
          title: Tracking Number
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - order_id
        - courier_id
        - tracking_number
        - created_at
      title: OrderShipmentOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````